﻿@using DataAccess.Model

<div class="nav-left-sidebar sidebar-dark">
    <nav class="navbar navbar-expand-md navbar-light w-100">
        <ul class="navbar-nav flex-column">
            <li class="nav-divider">
                <h5>Výukové texty</h5>
            </li>
            <li class="nav-item">
                <ul class="nav flex-column">
                    @if (ViewBag.Categories != null)
                    {
                        foreach (ArticleCategory bc in ViewBag.Categories)
                        {
                            <li class="nav-item">
                                @Ajax.ActionLink(bc.Name, "CategoryUser", "Text", new { id = bc.Id }, new AjaxOptions() { UpdateTargetId = "dynamicContent", InsertionMode = InsertionMode.Replace }, new { @class = " submenuCat nav-link", data_toggle = "tooltip", data_placement = "top", title = bc.Description, onclick = "removeTooltip()" })
                                <ul class="nav flex-column pl-3"></ul>
                            </li>
                        }
                    }
                </ul>
            </li>
        </ul>
    </nav>
</div>
<script>
    $(function () {
        $('[data-toggle="tooltip"]').tooltip();
    });
    function removeTooltip() {
        $(".tooltip").remove();
    }
</script>